@echo off
setlocal

:: Use Processor Architecture as this is more generally available and doesn't require WDK.
set DPINST=dpinst_%PROCESSOR_ARCHITECTURE%.exe

: Either install or uninstall the XiLoad and XiUsb drivers

:: Usage: dpinst [/C][/Q][/U INF-file]
::  /C     		Dump logging output to attached Console (Windows XP and above).
::  /Q			Quiet mode. Suppresses the Device Installation Wizard and any dialogs popped-up by the operating system.
::  /U INF-file		Uninstall a driver package (INF-file).

@"%DPINST%" /C
@echo Inst /I returned %ERRORLEVEL%

pause

endlocal
exit /b %ERRORLEVEL%
